Qt 5.9 | Qt Multimedia | C++ Classes | QCameraCaptureBufferFormatControl

Qt 5.9.4 Reference Documentation

# QCameraCaptureBufferFormatControl Class

The QCameraCaptureBufferFormatControl class provides a control for setting the capture buffer format. More...

Header: | #include <QCameraCaptureBufferFormatControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraCaptureBufferFormatControl()
virtual QVideoFrame::PixelFormat | bufferFormat() const = 0
virtual void | setBufferFormat(QVideoFrame::PixelFormat format) = 0
virtual QList<QVideoFrame::PixelFormat> | supportedBufferFormats() const = 0

## Signals

void | bufferFormatChanged(QVideoFrame::PixelFormat format)

## Protected Functions

| QCameraCaptureBufferFormatControl(QObject *parent = Q_NULLPTR)

## Macros

| QCameraCaptureBufferFormatControl_iid

## Detailed Description

The QCameraCaptureBufferFormatControl class provides a control for setting the capture buffer format.

The format is of type QVideoFrame::PixelFormat.

The interface name of QCameraCaptureBufferFormatControl is `org.qt-project.qt.cameracapturebufferformatcontrol/5.0` as defined in QCameraCaptureBufferFormatControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QCameraCaptureBufferFormatControl::QCameraCaptureBufferFormatControl(QObject *parent = Q_NULLPTR)

Constructs a new image buffer capture format control object with the given parent

### QCameraCaptureBufferFormatControl::~QCameraCaptureBufferFormatControl()

Destroys an image buffer capture format control.

### `[pure virtual]` QVideoFrame::PixelFormat QCameraCaptureBufferFormatControl::bufferFormat() const

Returns the current buffer capture format.

See also setBufferFormat().

### `[signal]` void QCameraCaptureBufferFormatControl::bufferFormatChanged(QVideoFrame::PixelFormat format)

Signals the buffer image capture format changed to format.

### `[pure virtual]` void QCameraCaptureBufferFormatControl::setBufferFormat(QVideoFrame::PixelFormat format)

Sets the buffer capture format.

See also bufferFormat().

### `[pure virtual]` QList<QVideoFrame::PixelFormat> QCameraCaptureBufferFormatControl::supportedBufferFormats() const

Returns the list of the supported buffer capture formats.

## Macro Documentation

### QCameraCaptureBufferFormatControl_iid

`org.qt-project.qt.cameracapturebufferformatcontrol/5.0`

Defines the interface name of the QCameraCaptureBufferFormatControl class.